function sintrend_MarkovPrognoz_logabs(infile, outfile,niter,npredict);
% Синустренд и прогнозирование остатков, затем восстановление остатков.
% Параметры - входной и выходной файл.

sintrendfile=strrep(infile,'.txt','_sintrend_remains.txt');
sintrend_logabs(infile, sintrendfile,niter);

currentpath=cd;
sintrendparam=strrep(sintrendfile,'.txt','.mat');
vosstanovl_logabs(sintrendparam);
%cd('D:\dayly\20090123\MarkovChains1_1_20090122_22_54_correct0123\');
prognozfile=strrep(sintrendfile,'.txt','MarkovPrognoz.txt');
MarkovChainsCmd(sintrendfile,npredict,prognozfile);
%cd(currentpath);
vosstanovl_logabs(sintrendparam,prognozfile,outfile);